@echo off
if exist cfg\rygar.cfg move cfg\rygar.cfg cfg\rygar.bak
if exist hi\rygar.hi move hi\rygar.hi hi\rygar.bak
if exist nvram\rygar.nv move nvram\rygar.nv nvram\rygar.bak
if exist diff\rygar.dif move diff\rygar.dif diff\rygar.bak

mame rygar -record rygar.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\rygar.bak move cfg\rygar.bak cfg\rygar.cfg
if exist hi\rygar.bak move hi\rygar.bak hi\rygar.hi
if exist nvram\rygar.bak move nvram\rygar.bak nvram\rygar.nv
if exist diff\rygar.bak move diff\rygar.bak diff\rygar.dif
